List Agents
GET /agentsParameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
q | query | string | null | optional | — |
scope | query | string | null | optional | — |
graph_kind | query | string | null | optional | — |
is_active | query | boolean | null | optional | — |
limit | query | integer | optional | Default 50. min 1 max 200 |
cursor | query | string | null | optional | — |
offset | query | integer | null | optional | min 0 |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | Page_AgentView_ |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/agents \ -H "Authorization: Bearer $COBRE_TOKEN"Response — Page_AgentView_
Section titled “Response — Page_AgentView_”| Field | Type | Notes | |
|---|---|---|---|
items | AgentView[] | required | — |
next_cursor | string | null | optional | — |
total | integer | null | optional | — |